variable "ec2name" {
        type = string
}

module "sg" {
    source = "../sg"
}

resource "aws_instance" "mumble" {
        ami = "ami-0f4f416fe7595313e"
        instance_type   = "t2.micro"
        security_groups = [module.sg.sg_name]
        user_data = file("./startup-script.sh")
                tags = {
                        Name = var.ec2name
        }
        provisioner "local-exec" {
                 when    = destroy
         command = "./cloudflare-clear.sh"
  }
}
