output "sg_name" {
    value = aws_security_group.mumble_sg.name
}

resource "aws_security_group" "mumble_sg" {
        name        = "Allow Mumble in, DNS and HTTP/HTTPS out"

        ingress {
                from_port   = 64738
                to_port     = 64738
                protocol    = "TCP"
                cidr_blocks = ["0.0.0.0/0"]
        }

        ingress {
                from_port   = 64738
                to_port     = 64738
                protocol    = "UDP"
                cidr_blocks = ["0.0.0.0/0"]
        }

        egress {
                from_port   = 80
                to_port     = 80
                protocol    = "TCP"
                cidr_blocks = ["0.0.0.0/0"]
        }
        egress {
                from_port   = 443
                to_port     = 443
                protocol    = "TCP"
                cidr_blocks = ["0.0.0.0/0"]
        }

        egress {
                from_port   = 53
                to_port     = 53
                protocol    = "UDP"
                cidr_blocks = ["0.0.0.0/0"]
        }
}
